(function ($) {
  // Handle user toolbar when user is admin and have admin toolbar enabled.
  Drupal.behaviors.commerce_kickstart_theme_custom_toolbar = {
    attach: function(context, settings) {
      if ($('body').hasClass('toolbar')) {
        $(window, context).resize(function() {
          var toolbarHeight = $('div#toolbar').height();
          $('.zone-user-wrapper').css('top', toolbarHeight + 'px');
        });
      }
    }
  }
  // Add background overlay to add to cart popin.
  Drupal.behaviors.commerce_kickstart_theme_custom_add_to_cart_overlay = {
    attach:function (context, settings) {
      if ($('.commerce-kickstart-add-to-cart').length > 0 ) {
        $('body').append("<div class=\"commerce_kickstart_add_to_cart_overlay\"></div>");
        $('.commerce-kickstart-add-to-cart-close').live('click', function() {
          $('.commerce_kickstart_add_to_cart_overlay').remove();
        });
      }
    }
  }
  // Disable input fields on price range when viewing the site
  // on normal devices.
  Drupal.behaviors.commerce_kickstart_theme_custom_search_api_ranges = {
    attach:function (context, settings) {
      $('body').bind('responsivelayout', function(e, d) {
        if($(this).hasClass("responsive-layout-normal")) {
          $('#edit-range-from').attr({
            "disabled" : true,
            "readonly" : true
          });
          $('#edit-range-to').attr({
            "disabled" : true,
            "readonly" : true
          });
        }
        else {
          $('body').unbind('responsivelayout');
        }
      });
    }
  }
  // Switch list elements to select lists on faceted blocks.
  Drupal.behaviors.commerce_kickstart_theme_custom_search = {
    attach: function(context, settings) {
      $('body').bind('responsivelayout', function(e, d) {
        if($(this).hasClass("responsive-layout-mobile")) {
          $('.block-facetapi', context).each(function(index) {
            $('.facetapi-checkbox').remove();
            $('.element-invisible').remove();

            // Get block title.
            var list_title;
            $(this).find('.block-title').each(function() {
              list_title = $(this).text().toLowerCase();
            });

            // Get list elements.
            var list_element;
            $(this).find('ul').each(function() {
              list_element = $(this).attr('id');
              $(this).addClass('facetapi-lists');
            });

            if(list_element != 'undefined') {
              selectnav(list_element, {
                label: 'Select a ' + list_title + '...',
                activeclass: 'false'
              });
            }
          });
        }
        else {
          $('body').unbind('responsivelayout');
        }
      });
    }
  }
  // Replace navigation list to a select list on small devices.
  Drupal.behaviors.commerce_kickstart_theme_custom_navigation = {
    attach: function(context, settings) {
      $('#main-menu, #secondary-menu').mobileMenu(
        {
          prependTo: '.region-menu nav',
          topOptionText: Drupal.t('Jump to...')
        }
      );
    }
  }
})(jQuery);
